<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext
    https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd
    http://www.liquibase.org/xml/ns/dbchangelog
    https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">

    <changeSet author="daniele.salvalaglio" id="202211281019-users_create_table">
        <!-- USERS TABLE -->
        <createTable tableName="users">
            <column autoIncrement="true" name="id" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="name" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
            <column name="surname" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
            <column name="email" type="VARCHAR(255)">
                <constraints nullable="true"/>
            </column>
            <column name="role_id" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="creation_datetime" type="DATETIME" defaultValueDate="CURRENT_TIMESTAMP"/>
            <column name="last_update_datetime" type="DATETIME" defaultValueDate="CURRENT_TIMESTAMP"/>
            <column name="delete_datetime" type="DATETIME"/>
            <column name="is_deleted" type="BOOLEAN" defaultValue="0">
                <constraints nullable="false"/>
            </column>
        </createTable>

    </changeSet>
</databaseChangeLog>
